[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TField.OnSetText

Event to set the field's content based on a user-formatted string

## Declaration

Source position: db.pas line 466

`published property TField.OnSetText : TFieldSetTextEvent read FOnSetText write FOnSetText;`

## Description

OnSetText is called whenever the TField.Text property is written. It can be used to set the actual value of the field based on the passed AText parameter. Typically, this event handler will perform the inverse operation of the TField.OnGetText handler, if it exists.

## See also

TField.Text |  | Text representation of the field
TField.OnGetText |  | Event to format the field's content
TFieldGetTextEvent |  | Event handler to get field content